commit:     675e60abdf587fd2d2f466fe830c4011fdefdaae
Author:     Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 28 12:02:30 2018 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Sun Jan 28 12:09:50 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=675e60ab

dev-libs/qtkeychain: Drop Qt4 support

Closes: https://bugs.gentoo.org/639612
Package-Manager: Portage-2.3.20, Repoman-2.3.6

 dev-libs/qtkeychain/qtkeychain-0.7.0.ebuild | 58 ++++++----------------------
 dev-libs/qtkeychain/qtkeychain-0.8.0.ebuild | 60 +++++++----------------------
 2 files changed, 25 insertions(+), 93 deletions(-)

diff --git a/dev-libs/qtkeychain/qtkeychain-0.7.0.ebuild 
b/dev-libs/qtkeychain/qtkeychain-0.7.0.ebuild
index 3ef9895a044..bf34a98d3df 100644
--- a/dev-libs/qtkeychain/qtkeychain-0.7.0.ebuild
+++ b/dev-libs/qtkeychain/qtkeychain-0.7.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 
-inherit cmake-utils multibuild
+inherit cmake-utils
 
 DESCRIPTION="Qt API for storing passwords securely"
 HOMEPAGE="https://github.com/frankosterfeld/qtkeychain";
@@ -12,58 +12,24 @@ 
SRC_URI="https://github.com/frankosterfeld/${PN}/archive/v${PV}.tar.gz -> ${P}.t
 LICENSE="BSD"
 SLOT="0/1"
 KEYWORDS="amd64 x86"
-IUSE="+qt4 qt5"
-
-REQUIRED_USE="|| ( qt4 qt5 )"
+IUSE=""
 
 RDEPEND="
-       qt5? (
-               dev-qt/qtcore:5
-               dev-qt/qtdbus:5
-       )
-       qt4? (
-               dev-qt/qtcore:4
-               dev-qt/qtdbus:4
-       )
+       dev-qt/qtcore:5
+       dev-qt/qtdbus:5
 "
 DEPEND="${RDEPEND}
-       qt5? ( dev-qt/linguist-tools:5 )
+       dev-qt/linguist-tools:5
 "
 
 DOCS=( ChangeLog ReadMe.txt )
 
-pkg_setup() {
-       MULTIBUILD_VARIANTS=( $(usev qt4) $(usev qt5) )
-}
-
 src_configure() {
-       myconfigure() {
-               if [[ ${MULTIBUILD_VARIANT} = qt4 ]]; then
-                       local mycmakeargs=(-DBUILD_WITH_QT4=ON)
-               fi
-               if [[ ${MULTIBUILD_VARIANT} = qt5 ]]; then
-                       local mycmakeargs=(-DBUILD_WITH_QT4=OFF)
-               fi
-
-               mycmakeargs+=(
-                       -DQTKEYCHAIN_STATIC=OFF
-                       -DBUILD_TRANSLATIONS=ON
-               )
-
-               cmake-utils_src_configure
-       }
-
-       multibuild_foreach_variant myconfigure
-}
-
-src_compile() {
-       multibuild_foreach_variant cmake-utils_src_compile
-}
-
-src_test() {
-       multibuild_foreach_variant cmake-utils_src_test
-}
+       local mycmakeargs=(
+               -DBUILD_WITH_QT4=OFF
+               -DQTKEYCHAIN_STATIC=OFF
+               -DBUILD_TRANSLATIONS=ON
+       )
 
-src_install() {
-       multibuild_foreach_variant cmake-utils_src_install
+       cmake-utils_src_configure
 }

diff --git a/dev-libs/qtkeychain/qtkeychain-0.8.0.ebuild 
b/dev-libs/qtkeychain/qtkeychain-0.8.0.ebuild
index 8763ecfe4d8..41ab3af92ee 100644
--- a/dev-libs/qtkeychain/qtkeychain-0.8.0.ebuild
+++ b/dev-libs/qtkeychain/qtkeychain-0.8.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 
-inherit cmake-utils multibuild
+inherit cmake-utils
 
 DESCRIPTION="Qt API for storing passwords securely"
 HOMEPAGE="https://github.com/frankosterfeld/qtkeychain";
@@ -12,60 +12,26 @@ 
SRC_URI="https://github.com/frankosterfeld/${PN}/archive/v${PV}.tar.gz -> ${P}.t
 LICENSE="BSD"
 SLOT="0/1"
 KEYWORDS="~amd64 ~x86"
-IUSE="gnome-keyring qt4 +qt5"
-
-REQUIRED_USE="|| ( qt4 qt5 )"
+IUSE="gnome-keyring"
 
 RDEPEND="
-       qt5? (
-               dev-qt/qtcore:5
-               dev-qt/qtdbus:5
-       )
-       qt4? (
-               dev-qt/qtcore:4
-               dev-qt/qtdbus:4
-       )
+       dev-qt/qtcore:5
+       dev-qt/qtdbus:5
 "
 DEPEND="${RDEPEND}
+       dev-qt/linguist-tools:5
        gnome-keyring? ( gnome-base/libgnome-keyring )
-       qt5? ( dev-qt/linguist-tools:5 )
 "
 
 DOCS=( ChangeLog ReadMe.txt )
 
-pkg_setup() {
-       MULTIBUILD_VARIANTS=( $(usev qt4) $(usev qt5) )
-}
-
 src_configure() {
-       myconfigure() {
-               if [[ ${MULTIBUILD_VARIANT} = qt4 ]]; then
-                       local mycmakeargs=(-DBUILD_WITH_QT4=ON)
-               fi
-               if [[ ${MULTIBUILD_VARIANT} = qt5 ]]; then
-                       local mycmakeargs=(-DBUILD_WITH_QT4=OFF)
-               fi
-
-               mycmakeargs+=(
-                       -DQTKEYCHAIN_STATIC=OFF
-                       -DBUILD_TRANSLATIONS=ON
-                       -DLIBSECRET_SUPPORT=$(usex gnome-keyring)
-               )
-
-               cmake-utils_src_configure
-       }
-
-       multibuild_foreach_variant myconfigure
-}
-
-src_compile() {
-       multibuild_foreach_variant cmake-utils_src_compile
-}
-
-src_test() {
-       multibuild_foreach_variant cmake-utils_src_test
-}
+       local mycmakeargs=(
+               -DBUILD_WITH_QT4=OFF
+               -DQTKEYCHAIN_STATIC=OFF
+               -DBUILD_TRANSLATIONS=ON
+               -DLIBSECRET_SUPPORT=$(usex gnome-keyring)
+       )
 
-src_install() {
-       multibuild_foreach_variant cmake-utils_src_install
+       cmake-utils_src_configure
 }

Reply via email to